---
layout: default
title: Top Annual Contributors
description: "GitLab has thousands of contributions from the wider community. This page will highlight top contributors."
canonical_path: "/community/top-annual-contributors/"
suppress_header: true
extra_css:
  - contributing.css
---

<div class="simple-header">
  <h1>Top Annual Contributors</h1> 
  <p>As an open source project, GitLab has thousands of contributions from the wider community. This page will highlight top contributors starting with 2018.</p>
</div>

<div class="content-container">
  <div class="text-center">
    <h1 id="2020">2020 top contributors </h1>
    <p>Number of wider community contributors: 802</p>
    <p>Number of merged MRs: 2,833</p>
  </div>

  <div class="content">
    <table style="width:80%" align="center">
      <tr>
        <th>Category*</th>
        <th>Contributors</th>
        <th>Merged MRs</th>
      </tr>
      <% data.top_contributors_2020.each do |contributors| %>
        <tr>
          <td>
            <% if contributors.category == 'SuperStar' %>
              <i class="fas fa-trophy color-primary"></i>
              <%= contributors.category %>
            <% end %>
            <% if contributors.category == 'Star' %>
              <i class="fas fa-medal"></i>
              <%= contributors.category %>
            <% end %>
            <% if contributors.category == 'Enthusiast' %>
              <i class="fas fa-award color-gray"></i>
              <%= contributors.category %>
            <% end %>
          </td>
          <td><a href="<%= contributors.gitlab %>"><%= contributors.name %></a></td>
          <td><%= contributors.merged_mrs %></td>
        </tr>
      <% end %>
    </table>
  </div>

  <div class="content">  
    <div class="text-center">
      <p>*Legend</p>
      <p><i class="fas fa-trophy color-primary"></i> SuperStar: More than 75 merged MRs</p>
      <p><i class="fas fa-medal"></i> Star: Between 11 & 75 merged MRs</p>
      <p><i class="fas fa-award color-gray"></i> Enthusiast: Between 5 & 10 merged MRs</p>
      <p><a href="https://gitlab.biterg.io/goto/a3f2756635a2c91b589ff13a6d54fb8b">Source</a></p>
    </div>
  </div>
</div>

<div class="content-container">
  <div class="text-center">
    <h1 id="2019">2019 top contributors </h1>
    <p>Number of wider community contributors: 886</p>
    <p>Number of merged MRs: 2,424</p>
  </div>

  <div class="content">
    <table style="width:80%" align="center">
      <tr>
        <th>Category*</th>
        <th>Contributors</th>
        <th>Merged MRs</th>
      </tr>
      <% data.top_contributors_2019.each do |contributors| %>
        <tr>
          <td>
            <% if contributors.category == 'SuperStar' %>
              <i class="fas fa-trophy color-primary"></i>
              <%= contributors.category %>
            <% end %>
            <% if contributors.category == 'Star' %>
              <i class="fas fa-medal"></i>
              <%= contributors.category %>
            <% end %>
            <% if contributors.category == 'Enthusiast' %>
              <i class="fas fa-award color-gray"></i>
              <%= contributors.category %>
            <% end %>
          </td>
          <td><a href="<%= contributors.gitlab %>"><%= contributors.name %></a></td>
          <td><%= contributors.merged_mrs %></td>
        </tr>
      <% end %>
    </table>
  </div>

  <div class="content">  
    <div class="text-center">
      <p>*Legend</p>
      <p><i class="fas fa-trophy color-primary"></i> SuperStar: More than 75 merged MRs</p>
      <p><i class="fas fa-medal"></i> Star: Between 11 & 75 merged MRs</p>
      <p><i class="fas fa-award color-gray"></i> Enthusiast: Between 5 & 10 merged MRs</p>
      <p><a href="https://gitlab.biterg.io/goto/03bc2051c2ae2c159ffff115400c7856">Source</a></p>
    </div>
  </div>
</div>

<div class="content-container">
  <div class="text-center">
    <h1 id="2018">2018 top contributors</h1>
    <p>Number of wider community contributors: 443</p>
    <p>Number of merged MRs: 1,517</p>
  </div>

  <div class="content">
    <table style="width:80%" align="center">
      <tr>
        <th>Category*</th>
        <th>Contributors</th>
        <th>Merged MRs</th>
      </tr>
      <% data.top_contributors_2018.each do |contributors| %>
        <tr>
          <td>
            <% if contributors.category == 'SuperStar' %>
              <i class="fas fa-trophy color-primary"></i>
              <%= contributors.category %>
            <% end %>
            <% if contributors.category == 'Star' %>
              <i class="fas fa-medal"></i>
              <%= contributors.category %>
            <% end %>
            <% if contributors.category == 'Enthusiast' %>
              <i class="fas fa-award color-gray"></i>
              <%= contributors.category %>
            <% end %>
          </td>
          <td><a href="<%= contributors.gitlab %>"><%= contributors.name %></a></td>
          <td><%= contributors.merged_mrs %></td>
        </tr>
      <% end %>
    </table>
  </div>

  <div class="content">  
    <div class="text-center">
      <p>*Legend</p>
      <p><i class="fas fa-trophy color-primary"></i> SuperStar: More than 75 merged MRs</p>
      <p><i class="fas fa-medal"></i> Star: Between 11 & 75 merged MRs</p>
      <p><i class="fas fa-award color-gray"></i> Enthusiast: Between 5 & 10 merged MRs</p>
      <p><a href="https://gitlab.biterg.io/goto/fae45b037bdf4d751d17ad03321f6a1a">Source</a></p>
    </div>
  </div>

</div>
